<script setup>
import DropdownFilter from "@/Components/UI/Filters/DropdownFilter.vue";

const props = defineProps({
    filters:Object,
    game:Object,
    form:Object,
    item:Object,
    items:Object,
})


</script>
<template>
    <div class="marketBottom__center noMobile">
       <DropdownFilter v-if="filters.iconFeatures.data.length"
                       title="Huge"
                       v-model="form.huge"
                       :options="filters.iconFeatures.data"
       />
       <DropdownFilter v-if="filters.textFeatures.length"
                       title="Текстовые"
                       v-model="form.text"
                       :options="filters.textFeatures"
       />
       <DropdownFilter  v-if="filters.colorFeatures.data.length"
           title="Ценность"
           v-model="form.color"
           :options="filters.colorFeatures.data"
       />
        <a @click.prevent="$emit('submitFilter',form)" class="marketBottom__center-reset button flex" href="#">Применить</a>
        <a class="marketBottom__center-reset button flex" href="">Очистить</a>
    </div>
</template>
<style src="@vueform/slider/themes/default.css"></style>


<!--<div class="profile__box">-->
<!--<div class="profile__line js-openClose-menu" @click="secondDown = !secondDown" :class="{active: secondDown}">-->
<!--    <p class="profile__box-item">Цена</p>-->
<!--    <div class="profile__line-openClose orange">-->
<!--        <div class="profile__line-line"></div>-->
<!--        <div class="profile__line-line"></div>-->
<!--    </div>-->
<!--</div>-->
<!--<Vue3SlideUpDown class="profile__box-content noMt" v-model="secondDown">-->
<!--    <Slider-->
<!--        v-model="number"-->
<!--        :min="3990"-->
<!--        :max="233900" />-->
<!--    <div class="marketBottom__box-ranges">-->
<!--        <p class="marketBottom__box-range min">{{ number[0] }}</p>-->
<!--        <p class="marketBottom__box-range max">{{ number[1] }}</p>-->
<!--    </div>-->
<!--</Vue3SlideUpDown>-->
<!--</div>-->
